Программа: HTML::BBCode 1.04 и более ранние версии. 

Уязвимость существует из-за недостаточной обработки входных данных в BBcode тегах «[url]» и «[img]». Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта. 

Пример:

[img]javascript:alert(123)[/img] 
[url=javascript:alert(123)]Click me[/url]



Оставить мнение